<template>
	<view>
		<Cell @click="toResult" cellType="more" title="接收人员">
			<view class="cell-list-more" slot="more">
				<text class="font-grey" v-text="executorInfo && executorInfo.executorName"></text>
				<uni-icons type="right" size="18" color="#ccc"></uni-icons>
			</view>
		</Cell>
		<Cell title="转派原因" cellType="more">
			<view class="cell-list-more" slot="more">
				<input type="text" v-model="redeployCause" placeholder="请输入" @input="inputChange"/>
				<uni-icons type="right" size="18" color="#ccc"></uni-icons>
			</view>
		</Cell>
	</view>
</template>

<script>
	import Cell from '@/components/Cell.vue'
	export default {
		name:"TurnSendList",
		components:{
			Cell
		},
		props:{
			executorInfo: {
				type:Object
			},
			code:{
				type:String,
				default:""
			}
		},
		data() {
			return {
				redeployCause: ''
			};
		},
		methods:{
			inputChange(e){
				this.$emit('change', e)
			},
			toResult(){
				//跳转到转派页面
				uni.navigateTo({
					url:'../turn_send_user/turn_send_user?code='+this.code
				})
			},
		}
	}
</script>

<style lang="scss" scoped>
input{
	text-align: right;
	color: $uni-text-color-grey;
	font-size: $uni-font-size-base;
}
</style>
